| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Galil Connect
Java

Host or connect to a remote gcaps instance. More...

## Functions
void | gclibjava.GclibJava.GSetServer (String server_name) throws GclibJavaException
| Connects gclib to a new gcaps server.
String | gclibjava.GclibJava.GServerStatus () throws GclibJavaException
| Retrieves the name of your local gcaps server and whether or not it is currently published Retrieves a list of gcaps servers that are advertising themselves on the local network.
String | gclibjava.GclibJava.GListServers () throws GclibJavaException
| Retrieves a list of gcaps servers that are advertising themselves on the local network.
void | gclibjava.GclibJava.GPublishServer (String server_name, int publish, int save) throws GclibJavaException
| Publishes or removes local gcaps server from the network.
String | gclibjava.GclibJava.GRemoteConnections () throws GclibJavaException
| Returns a list of IP Addresses that currently have an open connection to your hardware.

## Detailed Description

Host or connect to a remote gcaps instance.

## Function Documentation

## ◆ GSetServer()

void gclibjava.GclibJava.GSetServer | ( | String | server_name | ) | throws GclibJavaException
| inline

Connects gclib to a new gcaps server.

Parameters

  server_name | Name to publish server under.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 592 of file GclibJava.java.

## ◆ GServerStatus()

String gclibjava.GclibJava.GServerStatus | ( |  | ) | throws GclibJavaException
| inline

Retrieves the name of your local gcaps server and whether or not it is currently published Retrieves a list of gcaps servers that are advertising themselves on the local network.

Returns
  A string in the form "<server_name>, <isPublished>"

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 605 of file GclibJava.java.

## ◆ GListServers()

String gclibjava.GclibJava.GListServers | ( |  | ) | throws GclibJavaException
| inline

Retrieves a list of gcaps servers that are advertising themselves on the local network.

Returns
  A list of available gcaps server names.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 618 of file GclibJava.java.

## ◆ GPublishServer()

void gclibjava.GclibJava.GPublishServer | ( | String | server_name,
|  | int | publish,
|  | int | save ) throws GclibJavaException
| inline

Publishes or removes local gcaps server from the network.

Parameters

  server_name | Name to publish server under.
  publish | True=publish server, False=remove server.
  save | Save this configuration for future server reboots.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 633 of file GclibJava.java.

## ◆ GRemoteConnections()

String gclibjava.GclibJava.GRemoteConnections | ( |  | ) | throws GclibJavaException
| inline

Returns a list of IP Addresses that currently have an open connection to your hardware.

Returns
  a list of IP Addresses that currently have an open connection to your hardware.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 645 of file GclibJava.java.